:root {
  --color-blue: #677e96;
  --color-blue-light: #7e91a6;
  --color-rose: #f4b8af;
  --color-rose-light: #fbe3df;
  --color-green: #b9d055;
  --color-white: #fff;

  --vh-100: 100vh;
  --vw-100: 100vw;
  --page-padding: 1.25rem; /* 20px */

  --font-size-xxl: 5rem; /* 80px */
  --font-size-xl: 3.75rem; /* 60px */
  --font-size-l: 3.125rem; /* 50px */
  --font-size-m: 2.1875rem; /* 35px */
  --font-size-s: 1.125rem; /* 18px */
  --font-size-xs: 0.875rem; /* 14px */

  --font-family-title: "BanjomanOpen", Arial, Helvetica, sans-serif;
}

@media screen and (min-width: 700px) {
  :root {
    --vw-100: 700px;
  }
}

body {
  background-color: var(--color-blue);
  min-height: var(--vh-100);
  font-size: var(--font-size-s);
  line-height: 1.25;
  font-family: "FFUnitPro", Arial, Helvetica, sans-serif;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}

.main {
  max-width: 700px;
  margin: 0 auto;
  min-height: var(--vh-100);
  background-color: var(--color-rose-light);
  position: relative;
  opacity: 1;
  transition: opacity 800ms ease;
}

.state--transition-in .main {
  opacity: 0;
}

.button {
  background-color: var(--color-blue);
  color: var(--color-white);
  font-size: var(--font-size-s);
  border-radius: 1000px;
  padding: 0.75rem;
  text-align: center;
  display: block;
  font-weight: bold;
}

.button.state--invers {
  background-color: var(--color-white);
  color: var(--color-blue);
}

.button.state--green {
  background-color: var(--color-green);
  color: var(--color-blue);
}

.button.state--border {
  background-color: var(--color-blue);
  color: var(--color-white);
  border: 1px solid var(--color-white);
}

/* Navigation */

.nav {
  max-width: 660px;
  margin: 0 auto;
  position: fixed;
  z-index: 3;
  top: var(--page-padding);
  left: var(--page-padding);
  right: var(--page-padding);
  background-color: var(--color-white);
  padding: calc(var(--page-padding) / 2);
  border-radius: 5px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.15);
}

.nav__logo {
  width: 113px;
  transform: translate3d(0px, 3px, 0px);
}

.nav__trigger {
  position: relative;
  width: 1.75rem;
  height: 1.75rem;
  background-color: var(--color-green);
}

.nav__trigger span {
  width: 15px;
  height: 1px;
  background-color: var(--color-blue);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate3d(-50%, -50%, 0);
  transition: background-color 100ms ease;
}

.state--nav-open .nav__trigger span {
  background-color: transparent;
}

.nav__trigger span::after,
.nav__trigger span::before {
  content: "";
  width: 15px;
  height: 1px;
  background-color: var(--color-blue);
  position: absolute;
  top: 0;
  left: 0;
  transition: transform 100ms ease;
}

.nav__trigger span::before {
  transform: translate3d(0, -4px, 0);
}

.nav__trigger span::after {
  transform: translate3d(0, 4px, 0);
}

.state--nav-open .nav__trigger span::before {
  transform: translate3d(0, 0, 0) rotate(-45deg);
}

.state--nav-open span::after {
  transform: translate3d(0, 0, 0) rotate(45deg);
}

.nav__overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--vh-100);
  background-color: var(--color-blue);
  z-index: 2;
  overflow: auto;
  transform: translate3d(-100%, 0, 0);
  transition: transform 200ms ease;
}

.state--nav-open .nav__overlay {
  transform: translate3d(0, 0, 0);
}

.nav__overlay-inner {
  padding: 8rem var(--page-padding) var(--page-padding);
  min-height: var(--vh-100);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  max-width: 700px;
  margin: 0 auto;
}

.nav__overlay-tour-link {
  color: var(--color-white);
  font-family: var(--font-family-title);
  text-transform: uppercase;
  line-height: 0.9;
  font-size: var(--font-size-xl);
  margin-bottom: 1rem;
  display: block;
  hyphens: auto;
}

.nav__overlay-buttons .button {
  margin-bottom: 10px;
}

.nav__overlay-buttons .button:last-child {
  margin-bottom: 0;
}

/* Stop */

.stop {
  min-height: var(--vh-100);
  background-color: var(--color-blue);
  padding-top: 8rem;
}

.stop__intro {
  padding: 0 var(--page-padding);
  position: relative;
  padding-bottom: 4rem;
}

.stop__intro::before {
  content: "";
  position: absolute;
  top: 5rem;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: var(--color-rose);
  border-radius: 50vw 50vw 0 0;
  z-index: 0;
}

.stop__intro-title {
  hyphens: auto;
  font-size: var(--font-size-xl);
  line-height: 0.9;
  color: var(--color-white);
  margin-bottom: 1.5rem;
  position: relative;
  z-index: 1;
  font-family: var(--font-family-title);
  text-transform: uppercase;
  hyphens: auto;
}

.stop__intro-image-wrapper {
  border-radius: 20px;
  overflow: hidden;
  padding-top: 75%;
  position: relative;
  margin-bottom: 1.5rem;
  z-index: 1;
}

.stop__intro-image {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
}

.stop__intro-text {
  color: var(--color-white);
  position: relative;
  z-index: 1;
}

.stop__content {
  position: relative;
  z-index: 1;
  background-color: var(--color-rose-light);
  border-radius: 20px;
  margin-top: -2rem;
  min-height: 100vh;
  padding: 4rem var(--page-padding);
}

.stop__content-title {
  hyphens: auto;
  line-height: 0.9;
  font-size: var(--font-size-l);
  color: var(--color-rose);
  margin-bottom: 1rem;
  font-family: var(--font-family-title);
  text-transform: uppercase;
}

.stop__content-text {
  margin-bottom: 1.5rem;
  color: var(--color-blue);
}

.stop__content-image-container {
  margin-bottom: 1.5rem;
}

.stop__content-image-container:last-child {
  margin-bottom: 0;
}

.stop__content-image-wrapper {
  border-radius: 20px;
  overflow: hidden;
  padding-top: 55%;
  position: relative;
}

.stop__content-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  margin-bottom: 0.5rem;
}

.stop__content-image-caption {
  font-size: var(--font-size-xs);
  margin-top: 0.5rem;
}

@keyframes patternTicker {
  from {
    transform: translate3d(0, 0, 0);
  }
  to {
    transform: translate3d(-100vw, 0, 0);
  }
}

.stop__content-pattern {
  overflow: hidden;
  margin: 3rem 0;
  height: 75px;
  width: var(--vw-100);
  transform: translate3d(calc(var(--page-padding) * -1), 0, 0);
}

.stop__content-pattern-inner {
  width: 200%;
  height: 100%;
  background: url(/images/content-pattern.svg) repeat-x;
  animation: 30s patternTicker linear infinite;
}

.stop__info {
  padding: 4rem var(--page-padding);
  background-color: var(--color-rose);
  margin-top: -20px;
}

.stop__info-video-wrapper {
  border-radius: 20px;
  overflow: hidden;
  position: relative;
  padding-top: 56.25%;
  margin-bottom: 1.25rem;
  box-shadow: 0px 10px 10px 0px rgba(0, 0, 0, 0.15);
}

.stop__info-video-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.stop__info-address-wrapper {
  border-radius: 20px;
  box-shadow: 0px 10px 10px 0px rgba(0, 0, 0, 0.15);
  background-color: var(--color-white);
  padding: var(--page-padding);
}

.stop__info-address-label {
  color: var(--color-blue);
  font-weight: bold;
  display: flex;
  margin-bottom: 1rem;
}

.stop__info-address-icon {
  margin-right: 0.5rem;
}

.stop__info-address {
  color: var(--color-blue);
}

.stop__next {
  position: relative;
  height: 530px;
  width: 100%;
  background-color: var(--color-rose);
  padding: var(--page-padding);
}

.stop__next-inner {
  height: 100%;
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.stop__next-image-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--color-rose);
  border-radius: 20px 20px 0 0;
  overflow: hidden;
}

.stop__next-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: grayscale(1);
  mix-blend-mode: screen;
}

.stop__next-title {
  line-height: 0.9;
  font-size: var(--font-size-xl);
  color: var(--color-blue);
  font-family: var(--font-family-title);
  text-transform: uppercase;
  hyphens: auto;
}

/* Tour */

.tour__list {
  padding: 4.5rem var(--page-padding) 8rem;
  overflow: hidden;
  position: relative;
  min-height: var(--vh-100);
}

.tour__list::before,
.tour__list::after {
  content: "";
  width: 100%;
  height: 40rem;
  max-height: 40%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: var(--color-rose);
  border-radius: 0 0 1000px 1000px;
}

.tour__list::after {
  border-radius: 1000px 1000px 0 0;
  top: auto;
  bottom: 0;
}

.tour__item {
  position: relative;
  z-index: 1;
  display: block;
  padding: 5px;
  background-color: var(--color-white);
  border-radius: 20px;
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.15);
}

.tour__item.state--not-finished:last-child {
  margin-bottom: calc(-8rem - 60%);
  pointer-events: none;
  background-color: var(--color-rose-light);
}

.tour__item-label {
  padding: 1.25rem;
  color: var(--color-blue);
  font-weight: bold;
  display: flex;
  align-items: center;
}

.tour__item-icon {
  margin-right: 0.5rem;
}

.tour__item-image-wrapper {
  width: 100%;
  padding-top: 75%;
  position: relative;
  overflow: hidden;
}

.tour__item-image {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
}

.tour__item.state--not-finished:last-child .tour__item-image {
  filter: grayscale(1);
  mix-blend-mode: screen;
}

.tour__item-title {
  hyphens: auto;
  font-family: var(--font-family-title);
  text-transform: uppercase;
  line-height: 0.9;
  padding: 1.25rem;
  font-size: var(--font-size-m);
  color: var(--color-rose);
}

.tour__spacer {
  height: 15rem;
  position: relative;
  z-index: 1;
}

.tour__spacer.state--empty {
  height: 55vh;
}

.tour__spacer-line {
  position: absolute;
  top: 0;
  left: 50%;
  height: 100%;
  width: 2px;
  transform: translate3d(-1px, 0, 0);
  background: url(/images/dashed-line.svg) repeat-y;
}

.tour__spacer:first-child .tour__spacer-line {
  height: calc(100% + 4.5rem);
  transform: translate3d(-1px, -4.5rem, 0);
}

.state--map .tour__spacer-line {
  height: 50%;
}

.tour__spacer.state--map:first-child .tour__spacer-line {
  height: calc(50% + 4.5rem);
  transform: translate3d(-1px, -4.5rem, 0);
}

.tour__spacer-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate3d(-50%, -50%, 0);
  width: 35px;
  height: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background-color: var(--color-white);
}

.tour__spacer-icon img {
  display: block;
  width: 23px;
}

.state--map .tour__spacer-icon {
  width: 100px;
  height: 100px;
}

.state--map .tour__spacer-icon img {
  width: 42px;
  transition: width 100ms ease;
}

.state--map .tour__spacer-icon:active img {
  width: 50px;
}

.tour__stop-icon-label {
  position: absolute;
  width: 200px;
  text-align: center;
  top: 100%;
  left: 50%;
  transform: translate3d(-50%, 0.5rem, 0);
  font-size: var(--font-size-s);
  font-weight: bold;
  color: var(--color-blue);
}

/* Stop Map */

.stop-map__intro {
  position: relative;
  background-color: var(--color-rose);
  padding: 16rem var(--page-padding) calc(var(--page-padding) * 2);
}

.stop-map__intro-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: grayscale(1);
  mix-blend-mode: screen;
}

.stop-map__intro-title {
  hyphens: auto;
  font-family: var(--font-family-title);
  text-transform: uppercase;
  position: relative;
  z-index: 1;
  line-height: 0.9;
  font-size: var(--font-size-xxl);
  color: var(--color-blue);
}

.stop-map__content {
  position: relative;
  padding: 0 var(--page-padding) var(--page-padding);
  margin-top: calc(var(--page-padding) * -1);
}

.stop-map__item {
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.15);
  border-radius: 20px;
  background-color: var(--color-white);
  padding: var(--page-padding) 5px;
  margin-bottom: 1.25rem;
}

.stop-map__item-label {
  display: flex;
  align-items: center;
  color: var(--color-blue);
  font-weight: bold;
  padding: 0 var(--page-padding);
  margin-bottom: 1rem;
}

.stop-map__item-icon {
  margin-right: 0.5rem;
}

.stop-map__item-frame iframe {
  width: 100%;
  border: none !important;
  margin-bottom: 1rem;
}

.stop-map__item-frame small {
  display: none;
}

.stop-map__item-title {
  hyphens: auto;
  font-family: var(--font-family-title);
  text-transform: uppercase;
  padding: 0 var(--page-padding);
  font-size: var(--font-size-m);
  color: var(--color-rose);
  line-height: 0.9;
  margin-bottom: 1.25rem;
}

.stop-map__item-address {
  padding: 0 var(--page-padding);
  color: var(--color-blue);
}

.stop-map__item-button {
  margin: 1rem auto 0.5rem;
}

.stop-map .button {
  margin-bottom: 1.25rem;
}

.stop-map .button:last-child {
  margin-bottom: 0;
}

/* Tour End */
.tour-end__intro {
  padding: 8rem var(--page-padding) 4rem;
  background-color: var(--color-blue);
  min-height: calc(var(--vw-100) * 0.7);
  display: flex;
  align-items: center;
}

.tour-end__intro::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 20rem;
  min-height: calc(var(--vw-100) * 0.6);
  border-radius: 0 0 1000px 1000px;
  background-color: var(--color-blue-light);
}

.tour-end__intro-title {
  position: relative;
  z-index: 1;
  font-size: var(--font-size-xxl);
  line-height: 0.9;
  font-family: var(--font-family-title);
  text-transform: uppercase;
  hyphens: auto;
  color: var(--color-white);
}

.tour-end__pattern {
  overflow: hidden;
  margin: 0 0 3rem;
  height: 75px;
  width: var(--vw-100);
  transform: translate3d(0, -4px, 0);
}

.tour-end__pattern.state--bottom {
  transform: translate3d(0, 4px, 0);
  margin-bottom: 0;
}

.tour-end__pattern-inner {
  width: 200%;
  height: 100%;
  background: url(/images/content-pattern-blue.svg) repeat-x;
  animation: 30s patternTicker linear infinite;
}

.tour-end__content {
  padding: 0 var(--page-padding);
}

.tour-end__text {
  color: var(--color-blue);
  margin-bottom: 2.5rem;
}

.tour-end__text:last-child {
  margin-top: 2.5rem;
}

.tour-end__teaser {
  padding: var(--page-padding) 5px;
  background-color: var(--color-white);
  border-radius: 20px;
  box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.15);
  margin-bottom: 1.25rem;
}

.tour-end__teaser-label {
  color: var(--color-blue);
  font-weight: bold;
  display: flex;
  margin-bottom: 1rem;
  padding: 0 var(--page-padding);
}

.tour-end__teaser-icon {
  margin-right: 0.5rem;
}

.tour-end__teaser-image-wrapper {
  overflow: hidden;
  padding-top: 75%;
  position: relative;
  margin-bottom: 1.5rem;
  z-index: 1;
}

.tour-end__teaser-image {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
}

.tour-end__teaser-title {
  hyphens: auto;
  font-size: var(--font-size-m);
  font-family: var(--font-family-title);
  text-transform: uppercase;
  line-height: 0.9;
  color: var(--color-rose);
  padding: 0 var(--page-padding);
  margin-bottom: 0.5rem;
}

.tour-end__footer {
  background-color: var(--color-blue);
  padding: var(--page-padding);
}

/* Tutorial */

.tutorial {
  position: fixed;
  z-index: 4;
  top: 0;
  left: 0;
  width: 100%;
  height: var(--vh-100);
  background-color: var(--color-rose);
  transform: translate3d(-100%, 0, 0);
  transition: transform 200ms ease;
}

.tutorial.state--tutorial-open {
  transform: translate3d(0, 0, 0);
}

.tutorial__inner {
  max-width: 700px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  height: var(--vh-100);
  position: relative;
}

.tutorial__top {
  flex: 1;
  background-color: var(--color-rose-light);
  overflow: hidden;
  border-radius: 0 0 20px 20px;
  position: relative;
}

.tutorial__intro {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: var(--page-padding);
  background-color: var(--color-rose-light);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  opacity: 1;
  pointer-events: auto;
  transition: opacity 200ms ease;
}

.tutorial__intro.state--hidden {
  opacity: 0;
  pointer-events: none;
}

.tutorial__intro-title {
  font-family: var(--font-family-title);
  text-transform: uppercase;
  line-height: 0.9;
  hyphens: auto;
  color: var(--color-blue);
  font-size: var(--font-size-xl);
  position: relative;
  z-index: 1;
}

.tutorial__intro-text {
  color: var(--color-blue);
  position: relative;
  z-index: 1;
}

.tutorial__intro-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  mix-blend-mode: screen;
}

.tutorial__slides {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  pointer-events: none;
}

.tutorial__slides-inner {
  --slide-position: 1;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: calc(var(--vw-100) * 10);
  display: flex;
  transform: translate3d(calc(var(--vw-100) * var(--slide-position)), 0, 0);
  transition: transform 200ms ease;
}

.tutorial__slide {
  width: var(--vw-100);
  height: 100%;
  padding: var(--page-padding);
  display: flex;
}

.tutorial__slide-inner {
  width: 100%;
  background-color: var(--color-white);
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: var(--page-padding);
  position: relative;
}

.tutorial__slide-logo {
  display: block;
  height: 2rem;
}

.tutorial__slide-icon-wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate3d(-50%, -50%, 0);
  background-color: var(--color-rose);
  display: flex;
  align-items: center;
  justify-content: center;
  width: 148px;
  height: 148px;
  border-radius: 50%;
}

.tutorial__slide-icon {
  width: 60px;
  height: 60px;
  display: block;
  object-fit: contain;
}

.tutorial__slide-text {
  color: var(--color-blue);
}

.tutorial__bottom {
  padding: var(--page-padding);
  margin-bottom: 0;
  transition: margin-bottom 200ms ease;
}

.tutorial__bottom.state--single {
  margin-bottom: -67px;
}

.tutorial__next {
  position: relative;
  margin-bottom: 10px;
  overflow: hidden;
  transition: margin-bottom 200ms ease;
}

.tutorial__next span {
  display: block;
  transition: transform 200ms ease;
}

.tutorial__next span:first-child {
  transform: translate3d(0, 0, 0);
  transition: transform 200ms ease;
}

.tutorial__bottom.state--end .tutorial__next span:first-child {
  transform: translate3d(0, -150%, 0);
}

.tutorial__next span:last-child {
  width: 100%;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translate3d(0, 100%, 0);
}

.tutorial__bottom.state--end .tutorial__next span:last-child {
  transform: translate3d(0, -50%, 0);
}

.tutorial__bottom.state--single .tutorial__next {
  margin-bottom: var(--page-padding);
}
